# Retrieve a list of tokens

Lists tokens for a specific tenant.

Endpoint: GET /api/token/v2
Version: v2.0
Security: Bearer

## Query parameters:

  - `next` (string)
    The Continuation token

  - `minimumPageSize` (integer)
    The page size of the tokens to retrieve.

## Response 200 fields (application/json):

  - `count` (integer,null)
    Gets or sets the total items in the database.

  - `minimumPageSize` (integer)
    Gets or sets the minimum page size.

  - `next` (string,null)
    Gets or sets the Continuation token

  - `data` (array)
    Gets or sets the data.

  - `data.id` (string)
    The unique identifier of the token.

  - `data.label` (string)
    The label of the token.

  - `data.description` (string)
    The description of the token.

  - `data.managePersistedQueries` (boolean)
    Gets or sets whether the token can manage persisted queries.

  - `data.expiration` (string)
    The expiration date and time of the token.

  - `data.restrictions` (object)
    Represents the restrictions associated with a token.
    Example: {"publishState":["Published"],"branches":["main"],"origins":["https://myapp.com"],"sourceIPs":["127.0.0.1"],"introspection":true}

  - `data.restrictions.publishState` (array)
    Gets or sets the publish states associated with the token.
    Enum: "Published", "Preview", "published", "preview"

  - `data.restrictions.branches` (array)
    Gets or sets the branches associated with the token. This can be an exact match with the branch ID or a prefix match.
    Example: ["main"]

  - `data.restrictions.sourceIPs` (array)
    Gets or sets the source IP addresses associated with the token.
    Example: ["127.0.0.1"]

  - `data.restrictions.origins` (array)
    Gets or sets the origins associated with the token.
    Example: ["https://myapp.com"]

  - `data.restrictions.introspection` (boolean)
    Gets or sets a value indicating whether introspection is allowed.
    Example: true

  - `data.lastUse` (string,null)
    The date and time when the token was last used.

  - `data.system` (object)
    Represents system metadata for a token.

  - `data.system.createdAt` (string)
    The date and time when the token was created.

  - `data.system.createdBy` (object)

  - `data.system.createdBy.type` (string)

  - `data.system.createdBy.relatedType` (string)

  - `data.system.createdBy.id` (string)

  - `data.system.createdBy.uri` (string)

  - `data.system.updatedAt` (string,null)
    The date and time when the token was last updated.

  - `data.system.updatedBy` (object)

## Response 400 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)

  - `errors` (object)

## Response 401 fields (application/json):

  - `type` (string,null)

  - `title` (string,null)

  - `status` (integer,null)

  - `detail` (string,null)

  - `instance` (string,null)


